# Interface ISearchEngineResult2

All Superinterfaces:
  `ISearchEngineResult`

public interface ISearchEngineResult2 extends ISearchEngineResult
An extension of the search result interface that allows engines to define engine result icon for each search result.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canOpen()`
Tests whether this result's open action should be delegated to search engine.
`URL`
`getIconURL()`
Returns an optional URL of the 16x16 icon to be used to render this search result.
`String`
`getId()`
Returns a unique identifier that can be associated with this search result.

### Methods inherited from interface ISearchEngineResult

`getCategory, getDescription, getForceExternalWindow, getHref, getLabel, getScore, toAbsoluteHref`

## Method Details

### getId

String getId()
Returns a unique identifier that can be associated with this search result. Search engines can optionally use this method to pass information on documents that are accessible via hashtables using a unique identifier. This method is typically used when the search result can open by itself.

Returns:
  unique identifier associated with this search result or `null` if not available or not needed.
See Also:
  - `canOpen()`
  - `ISearchEngine2.open(String)`

### getIconURL

URL getIconURL()
Returns an optional URL of the 16x16 icon to be used to render this search result. If not provided, the icon for the engine will be used.

Returns:
  the URL of the icon to be used to render this search result or `null` to use the engine icon.

### canOpen

boolean canOpen()
Tests whether this result's open action should be delegated to search engine.

Returns:
  `true` for engines that must open their results using non-standards means, or `false` for opening the result by the help system using the provided href.